This package has been deprecated

    Author message:

    Use the new @elastic/eslint-import-resolver-kibana package

    eslint-import-resolver-kibana

    0.4.0 • Public • Published

    eslint-import-resolver-kibana

    Resolver for Kibana imports, meant to be used with eslint-plugin-import.

    Usage

    In your .eslintrc.(yml|json|js) file, add the following import/resolver under settings:

    # .eslintrc.yml
    settings:
      # uses 'eslint-import-resolver-kibana':
      import/resolver:
        - node
        - kibana

    The node resolver isn't strictly required, but the resolving rules are unlikely to work as you expect if you don't include it in the list of resolvers. It's only included by default if you don't specify other resolvers.

    The resolved assumed that the Kibana path exists at the same level as your plugin. If your Kibana path is somewhere else, you can specify it in the resolver settings, like so:

    # .eslintrc.yml
    settings:
      import/resolver:
        kibana: { kibanaPath: '/path/to/kibana' }

    See the resolvers docs or the resolver spec for more details.

    Keywords

    none

    Install

    npm i eslint-import-resolver-kibana

    DownloadsWeekly Downloads

    9

    Version

    0.4.0

    License

    MIT

    Last publish

    Collaborators

    • fuckyeahtimsullivan
    • w33ble